<!--
SPDX-FileCopyrightText: 2020 Open Networking Foundation <info@opennetworking.org>

SPDX-License-Identifier: Apache-2.0
-->

# INT Host Reporter

This directory contains the Helm chart for the [INT Host Reporter](https://github.com/opennetworkinglab/int-host-reporter).

## Create the values.yaml for deployment

Before deploy the INT host reporter to your cluster, you need to create a `value.yaml`
file for your setup, in `values.yaml` we provides custom parts as below:

* image: Configuration for the container image, you can use the default value in most of cases.
* cni: The Container Network Interface(CNI) used in your Kubernetes setup, currently we only
       supports the following: `cilium`, `calico-ebpf`, `calico-iptables`
* dataInterface: The interface(e.g., `eno1`) on the host operating system that need to be
                 monitored by INT host reporter.
                 Note that we only suport monitoring same interface on every node for now.
* intCollector: The address of the INT collector, the format is `[IP address]:[Collector UDP port]`.
                Any collector compatible with the
                [INT standard](https://github.com/p4lang/p4-applications/blob/master/docs/telemetry_report_v0_5.pdf)
                can be used.
* intWatchlistRules: A list of subnets and protocols to watch, each item contains the following:
  * protocol: The leary 4 protocol, such as `TCP`, `UDP`, or `ICMP`
  * srcAddr: The source IP address subnet, for example `192.168.99.0/24`
  * dstAddr: the destination IP address subnet, for example `10.0.0.0/16`

Checkout [values.yaml](values.yaml) as an example.
